com.dandymadeproductions.scatterplot.data

## Class DataChartSeries

- java.lang.Object
- - com.dandymadeproductions.scatterplot.data.DataChartSeries

- Direct Known Subclasses:
    LineChartSeries

      public class DataChartSeries
      extends java.lang.Object

  The DataChartSeries class provides the means to tie all data series to a common class, interface.
  Version:
    1.1 11/21/2017
  Author:
    Dana M. Proctor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataChartSeries(java.lang.String seriesName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDataPoint(java.lang.Number xAxisNumber, java.lang.Number yAxisNumber)`
    `void` | `addDataPoint(java.lang.Number xAxisNumber, java.lang.Number yAxisNumber, java.lang.Number zAxisNumber)`
    `void` | `addDataPoint(java.lang.Number xAxisNumber, java.lang.String yAxisString)`
    `void` | `addDataPoint(java.lang.String xAxisString, java.lang.Number yAxisNumber)`
    `void` | `clear()`
    `void` | `setSeriesName(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

  - ### Constructor Detail

    - #### DataChartSeries

          public DataChartSeries(java.lang.String seriesName)

  - ### Method Detail

    - #### setSeriesName

          public void setSeriesName(java.lang.String value)

    - #### addDataPoint

          public void addDataPoint(java.lang.Number xAxisNumber,
                                   java.lang.Number yAxisNumber)

    - #### addDataPoint

          public void addDataPoint(java.lang.String xAxisString,
                                   java.lang.Number yAxisNumber)

    - #### addDataPoint

          public void addDataPoint(java.lang.Number xAxisNumber,
                                   java.lang.String yAxisString)

    - #### addDataPoint

          public void addDataPoint(java.lang.Number xAxisNumber,
                                   java.lang.Number yAxisNumber,
                                   java.lang.Number zAxisNumber)

    - #### clear

          public void clear()